## dde-device-formatter 0.0.1.12

=== debian/changelog ===
dde-device-formatter (0.0.1.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 01 Dec 2021 14:53:34 +0800

dde-device-formatter (1.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 14 Nov 2019 16:41:10 +0800
