=== debian/control ===
Source: dde-device-formatter
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 libqt5svg5-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 qttools5-dev-tools,
 qtdeclarative5-dev,
 deepin-gettext-tools,
 libdtkcore-dev,
 libdtkcore5-bin,
 libudisks2-qt5-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-device-formatter
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Device formatter
 A simple graphical interface for creating file system in a block device.
