## dde-device-formatter 0.0.1.14

=== debian/changelog ===
dde-device-formatter (0.0.1.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Sat, 07 May 2022 11:01:53 +0800
