## dde-device-formatter 0.0.1.15

=== debian/changelog ===
dde-device-formatter (0.0.1.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 01 Aug 2022 09:11:28 +0800
