## dde-device-formatter 0.0.1.16

=== debian/changelog ===
dde-device-formatter (0.0.1.16) unstable; urgency=medium

  * update baseline version to 0.0.1.16

 -- lvwujun <lvwujun@uniontech.com>  Mon, 15 Apr 2024 15:57:10 +0800

dde-device-formatter (0.0.1.15) unstable; urgency=medium

  * update dde-device-formatter 0.0.1.15 version

 -- ZHANGTINGAN <zhangtingan@uniontech.com>  Tue, 13 Jun 2023 10:04:04 +0800

dde-device-formatter (0.0.1.7) unstable; urgency=medium

  * update dde-device-formatter 0.0.1.7 version

 -- ZHANGTINGAN <zhangtingan@uniontech.com>  Mon, 12 Jun 2023 10:04:04 +0800

dde-device-formatter (1.0.0) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 14 Nov 2019 16:41:10 +0800
