## dde-device-formatter 1.5.4

=== debian/changelog ===
dde-device-formatter (1.5.4) unstable; urgency=medium

  * Add support for nilfs2

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 20 Mar 2025 19:28:46 +0800

dde-device-formatter (1.5.3) unstable; urgency=medium

  * fix bug 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 27 Feb 2025 19:02:08 +0800

dde-device-formatter (1.5.2) unstable; urgency=medium

  * add qt6-base-private-dev

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 08 Jan 2025 09:33:00 +0800

dde-device-formatter (1.5.1) unstable; urgency=medium

  * remove dxcb

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 07 Jan 2025 19:09:06 +0800

dde-device-formatter (1.5.0) unstable; urgency=medium

  * adapt to Qt6

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 31 Dec 2024 14:43:45 +0800

dde-device-formatter (0.0.1.17) unstable; urgency=medium

  * Auto mount after device been formatted.
  * 

 -- XuShitong <xushitong@uniontech.com>  Wed, 25 Dec 2024 15:14:40 +0800
