=== debian/control ===
Source: dde-device-formatter
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends: cmake,
  debhelper (>=9),
  pkg-config,
  qt6-base-dev,
  qt6-declarative-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools,
  qt6-base-private-dev,
  libdtk6widget-dev,
  libdtk6gui-dev,
  libdtk6core-dev,
  libudisks2-qt6-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-device-formatter
Architecture: any
Depends: ${shlibs:Depends},
  ${misc:Depends},
  nilfs-tools
Description: Device formatter
  A simple graphical interface for creating file system in a block device.
