## dde-device-formatter 1.5.5

=== debian/changelog ===
dde-device-formatter (1.5.5) unstable; urgency=medium

  * update translations

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 14:07:48 +0800
