## dde-device-formatter 1.5.8

=== debian/changelog ===
dde-device-formatter (1.5.8) unstable; urgency=medium

  * Update version to 1.5.8

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 19:03:59 +0800

dde-device-formatter (1.5.7) unstable; urgency=medium

  * Update version to 1.5.7.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 18:42:46 +0800

dde-device-formatter (1.5.6) unstable; urgency=medium

  * remove obsolete English translation file 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Jun 2025 17:11:30 +0800
