=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
 Build-Depends: cmake,
   debhelper (>=9),
-  pkg-config,
   qt6-base-dev,
   qt6-declarative-dev,
   qt6-tools-dev,
